Delete a Groundplex

DELETE https://{controlplane_path}/api/1/rest/public/snaplex/<snaplex_path>      

Overview

This API deletes the Groundplex from the Environment/Org.

Prerequisites

  • Environment (Org) admin permissions
Important: The Groundplex cannot have nodes.

Request

     DELETE https://{controlplane_path}/api/1/rest/public/snaplex/<snaplex_path>

Path parameters

Key Description
controlplane_path Required. The path to the SnapLogic control plane: elastic.snaplogic.com
For the UAT or EMEA control plane, substitute the name for elastic. For example:
  • uat.elastic.snaplogic.com
  • emea.snaplogic.com
snaplex_path Required. The path to the Snaplex.

Example: /snaplogic/shared/Mycloud

Query parameters

None.

Request header

In the request header, specify Basic for authorization, add your credentials (Login and password of your SnapLogic user or service account), and specify application/json for content type. For more details on accounts refer to Manage accounts.


Authorization: Basic {base64_encoded <email>:<password>}
Content-Type: application/json
          

Example of Basic authentication using Postman

When using JWT authentication, the API requests includes specific headers. In the request header, specify Bearer Token for authorization, add the token, and specify application/json for content type. These headers are automatically added when you configure bearer token authentication in your API client. The authorization header contains the word Bearer followed by a space and your JWT token.


Authorization: Bearer Token {token}
Content-Type: application/json
          

Example of JWT authenthication using Postman

Request body

None


                {
                    "response_map": {
                    "success": true
                },
                    "http_status_code": 200
                }